import { createRouter, createWebHistory, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import Language from "../components/Language.vue";
import Step_1 from "../views/Step_1.vue";
import Step_2 from "../views/Step_2.vue";
import Step_3 from "../views/Step_3.vue";

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
      children: [
        {
          path: '/',
          component: Language,
        },
        {
          path: 'step1',
          component: Step_1,
        },
        {
          path: 'step2',
          component: Step_2,
        },
        {
          path: 'step3',
          component: Step_3,
        },
      ],
    },
  ]
})

export default router
